Skip to main content
PATCH
/
jobs
/
{jobId}
Update job
curl --request PATCH \
  --url https://hireloam.com/api/v1/jobs/{jobId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "published",
  "department": "Engineering"
}
'
import requests

url = "https://hireloam.com/api/v1/jobs/{jobId}"

payload = {
"status": "published",
"department": "Engineering"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'published', department: 'Engineering'})
};

fetch('https://hireloam.com/api/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "job": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "department": "<string>",
    "location": "<string>",
    "employment_type": "<string>",
    "public_slug": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "stages": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "order_index": 123,
        "application_count": 123
      }
    ],
    "description_md": "<string>",
    "show_salary": true,
    "salary_currency": "<string>",
    "salary_timeframe": "<string>",
    "salary_min": 123,
    "salary_max": 123
  }
}
{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}
{
"error": {
"code": "not_found",
"message": "Application not found"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

jobId
string<uuid>
required

Body

application/json
description_md
string
status
enum<string>
Available options:
draft,
published,
closed
department
string | null
location
string | null
employment_type
string | null
show_salary
boolean
salary_currency
string | null
salary_timeframe
string | null
salary_min
number | null
salary_max
number | null
equity_min
number | null
equity_max
number | null

Response

Job updated

job
object